<?php
/* 
Frequently Bought Together Products List 
*/

add_action( 'admin_menu', 'register_my_custom_menu_page' );

function register_my_custom_menu_page(){
	add_menu_page( 'Frequently Bought Together', 'WC FBT', 'manage_options', 'frequently-bought-together', 'wfbt_product_page', 'dashicons-screenoptions', 56 ); 
	add_submenu_page('frequently-bought-together','Frequently Bought Together Products','Products','manage_options','frequently-bought-together','wfbt_product_page');
}

function products_name($ids){
	$html = '';
	foreach($ids as $id){
		 $html .= '<a class="" href="post.php?post=' . get_the_ID($id) . '&action=edit" title="Edit : ' . get_the_title($id) . '">' . get_the_title($id) . '</a><br>';
	}
	unset($id);
	return $html;
}


function wfbt_product_page(){
	global  $woocommerce;
	$args = array(
    'offset' => 0,
    'orderby' => 'post_date',
    'order' => 'DESC',
    'post_type' => 'product');
	
	
	$the_query = new WP_Query( $args );

	if ( $the_query->have_posts() ) {
		$html = '<h2>Frequently Bought Together - Products</h2><br><table style="width: 99%;" class="wp-list-table widefat fixed striped posts">
	<thead>
	<tr>
		<th style="width: 50px;" scope="col" class="manage-column column-thumb"><span class="wc-image tips">Image</span></th>
		<th scope="col"><span>Name</span></th>
		<th scope="col"><span>Additional Products</span></th>
		<th scope="col"><span>SKU</span></th>
		<th scope="col"><span>Stock</span></th>
		<th scope="col"><span>Price</span></th>
	</tr>
	</thead>
	<tbody id="the-list">';
		while ( $the_query->have_posts() ) {
			$the_query->the_post();

			if (has_post_thumbnail( $post->ID )){
				$image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'thumbnail' );
			}
			
			$pmeta = get_post_meta( get_the_ID(), '_adsoft_wfbt_ids', true);
			
			if(!empty($pmeta)){
			
				$html .= '<tr class="iedit author-self level-0 post-1 type-post status-publish format-standard hentry category-uncategorized">
					
				<td><img style="max-width: 40px; max-height: 40px;" alt="" src="' . $image[0] . '" /></td>
				<td><strong><a class="" href="post.php?post=' . get_the_ID() . '&action=edit" title="Edit : ' . get_the_title() . '">' . get_the_title() . '</a></strong>
				<div class="row-actions">
	<span class="id">ID: ' . get_the_ID() . ' | </span>
	<span class="edit"><a href="post.php?post=' . get_the_ID() . '&action=edit" title="Edit this item">Edit</a> | </span>
	<span class="view"><a href="' . get_permalink() . '" title="View ' . get_the_title() . '" rel="permalink">View</a></span>
</div>
				</td>
				<td>' . products_name($pmeta) . '</td>
				<td>' . get_post_meta( get_the_ID(), '_sku ', true) . '</td>
				<td>' . get_post_meta( get_the_ID(), '_stock_status', true) . '</td>
				<td>' . get_woocommerce_currency_symbol() .' ' . get_post_meta( get_the_ID(), '_price', true) . '</td>
				</tr>';
			}
		}

		$html .= '</tbody>
	<tfoot>
		<th scope="col" class="manage-column column-thumb"><span class="wc-image tips">Image</span></th>
		<th scope="col"><span>Name</span></th>
		<th scope="col"><span>Additional Products</span></th>
		<th scope="col"><span>SKU</span></th>
		<th scope="col"><span>Stock</span></th>
		<th scope="col"><span>Price</span></th>
	</tfoot>
</table>';
	}
	wp_reset_query();
  echo $html; 
}