<?php
/**
 * Plugin Name: AladinSoft - WooCommerce Frequently Bought Together
 * Plugin URI: http://aladinsoft.com
 * Description: AladinSoft - WooCommerce Frequently Bought Together add a box in single product page with products suggested as "Frequently Bought Together"
 * Version: 1.0.0
 * Author: AladinSoft
 * Author URI: http://aladinsoft.com
 * Text Domain: adsoft
 * Domain Path: /languages/
 */

if ( !defined( 'ABSPATH' ) ) { exit; } // Exit if accessed directly

if ( ! function_exists( 'is_plugin_active' ) ) {
	require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
}

function adsoft_woocommerce_admin_notice(){
	?>
	<div class="error">
		<p><?php _e( 'AladinSoft - WooCommerce Frequently Bought Together is enabled but not effective. It requires WooCommerce in order to work.', 'adsoft' ); ?></p>
	</div>
<?php
}

if ( ! defined( 'ADSOFT_WFBT' ) ) {
	define( 'ADSOFT_WFBT', true );
}

if ( ! defined( 'ADSOFT_WFBT_URL' ) ) {
	define( 'ADSOFT_WFBT_URL', plugin_dir_url( __FILE__ ) );
}

if ( ! defined( 'ADSOFT_WFBT_DIR' ) ) {
	define( 'ADSOFT_WFBT_DIR', plugin_dir_path( __FILE__ )  );
}

if ( ! defined( 'ADSOFT_WFBT_META' ) ) {
	define( 'ADSOFT_WFBT_META', '_adsoft_wfbt_ids' );
}

function aladinsoft_wfbt_init() {
	load_plugin_textdomain( 'adsoft', false, dirname( plugin_basename( __FILE__ ) ). '/languages/' );
	// Load required classes and functions
	require_once('includes/class.adsoft-wfbt.php');
	require_once('includes/class.adsoft-wfbt-admin.php');
	require_once('includes/class.adsoft-wfbt-frontend.php');
	require_once('includes/adsoft-products.php');
	require_once('admin/options.php');
	// Call the class
	ADSOFT_WFBT();
}
add_action( 'aladinsoft_wfbt_init', 'aladinsoft_wfbt_init' );


function aladinsoft_wfbt_install() {

	if ( ! function_exists( 'WC' ) ) {
		add_action( 'admin_notices', 'adsoft_woocommerce_admin_notice' );
	} else {
		do_action( 'aladinsoft_wfbt_init' );
	}
}
add_action( 'plugins_loaded', 'aladinsoft_wfbt_install', 11 );

add_filter('admin_footer_text', 'remove_footer_admin'); //change admin footer text
function remove_footer_admin () {
echo "<a href='http://codecanyon.net/user/aladinsoft/portfolio' target='_blank'>Checkout</a> other <a href='http://codecanyon.net/user/aladinsoft/portfolio' target='_blank'>WordPress Plugins</a> from us. ";
}